<?php
namespace Claromentis\Infocapture\ExpressionLanguage\Nodes;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array("_ca8856aa9ac8" . "f3094747f3fff" . "ad932c0" => base64_decode("dmFyaWF" . "ibGUg"));
class NameNode extends Node
{
    protected $name;
    public function __construct(string $name)
    {
        $this->name = $name;
    }
    
    
    
    
    public function Children() : array
    {
        return [];
    }
    public function Name() : string
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_ca8856aa9ac8f309474" . "7f3fffad932c0"] . $this->name;
    }
    public function VariableName() : string
    {
        return $this->name;
    }
}